[ARVADOS] created: f21a495d7723e72ea61c62293d56aff1a65c130c
Git user
git at public.curoverse.com
Mon May 8 10:16:00 EDT 2017
at f21a495d7723e72ea61c62293d56aff1a65c130c (commit)
commit f21a495d7723e72ea61c62293d56aff1a65c130c
Author: Tom Clegg <tom at curoverse.com>
Date: Mon May 8 10:07:21 2017 -0400
11634: Prevent bundler from trying to use/update system gem cache.
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 2fdfd5e..3198fdc 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -164,9 +164,6 @@ sanity_checks() {
echo -n 'ruby: '
ruby -v \
|| fatal "No ruby. Install >=2.1.9 (using rbenv, rvm, or source)"
- echo -n 'bundler: '
- bundle version \
- || fatal "No bundler. Try: gem install bundler"
echo -n 'go: '
go version \
|| fatal "No go binary. See http://golang.org/doc/install"
@@ -399,12 +396,14 @@ setup_ruby_environment() {
tmpdir_gem_home="$(env - PATH="$PATH" HOME="$GEMHOME" gem env gempath | cut -f1 -d:)"
PATH="$tmpdir_gem_home/bin:$PATH"
- export GEM_PATH="$tmpdir_gem_home:$(gem env gempath)"
+ export GEM_PATH="$tmpdir_gem_home"
echo "Will install dependencies to $(gem env gemdir)"
echo "Will install arvados gems to $tmpdir_gem_home"
echo "Gem search path is GEM_PATH=$GEM_PATH"
fi
+ bundle config || gem install bundler \
+ || fatal 'install bundler'
}
with_test_gemset() {
commit 3b11d2b570d9c3f2a18886d82fb0224562c56f61
Author: Tom Clegg <tom at curoverse.com>
Date: Mon May 8 09:59:35 2017 -0400
11634: Fix whitespace.
diff --git a/build/run-tests.sh b/build/run-tests.sh
index afaa834..2fdfd5e 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -344,13 +344,13 @@ done
setup_ruby_environment() {
if [[ -s "$HOME/.rvm/scripts/rvm" ]] ; then
- source "$HOME/.rvm/scripts/rvm"
- using_rvm=true
+ source "$HOME/.rvm/scripts/rvm"
+ using_rvm=true
elif [[ -s "/usr/local/rvm/scripts/rvm" ]] ; then
- source "/usr/local/rvm/scripts/rvm"
- using_rvm=true
+ source "/usr/local/rvm/scripts/rvm"
+ using_rvm=true
else
- using_rvm=false
+ using_rvm=false
fi
if [[ "$using_rvm" == true ]]; then
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list